org.apache.pdfbox.preflight.action

## Class NamedAction

- java.lang.Object
- - org.apache.pdfbox.preflight.action.AbstractActionManager
  - - org.apache.pdfbox.preflight.action.NamedAction

    public class NamedAction
    extends AbstractActionManager

ActionManager for the Named action. Named action is valid if N entry is present with one of the four values :

- NextPage
- PrevPage
- FirstPage
- LastPage

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.action.AbstractActionManager

`actionDictionary, context`

### Constructor Summary

Constructors
Constructor and Description
`NamedAction(ActionManagerFactory amFact, org.apache.pdfbox.cos.COSDictionary adict, PreflightContext ctx, String aaKey)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `innerValid()` This method must be implemented by inherited classes to process specific validation.

### Methods inherited from class org.apache.pdfbox.preflight.action.AbstractActionManager

`getActionDictionary, getAdditionalActionKey, isAdditionalAction, valid, valid, validNextActions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamedAction

    public NamedAction(ActionManagerFactory amFact,
                       org.apache.pdfbox.cos.COSDictionary adict,
                       PreflightContext ctx,
                       String aaKey)

Parameters:
  `amFact` - Instance of ActionManagerFactory used to create ActionManager to check Next actions.
  `adict` - the COSDictionary of the action wrapped by this class.
  `ctx` - the preflight context.
  `aaKey` - the name of the key which identify the action in a additional action dictionary.

### Method Detail

#### innerValid

    protected boolean innerValid()

Description copied from class: `AbstractActionManager`
This method must be implemented by inherited classes to process specific validation.

Specified by:
  `innerValid` in class `AbstractActionManager`
Returns:
  True if the action is valid, false otherwise.